apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: jobtech-taxonomy-editor
    environemnt: test
    system: gitops
    team: calamari
  name: jobtech-taxonomy-editor-test
  namespace: openshift-gitops
spec:
  destination:
    namespace: jobtech-taxonomy-editor-test
    server: https://kubernetes.default.svc
  project: taxonomy
  source:
    path: kustomize/overlays/test
    repoURL: git@gitlab.com:arbetsformedlingen/taxonomy-dev/frontend/jobtech-taxonomy-editor-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false

